Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface CurrentMonitorStatistics

    public interface CurrentMonitorStatistics

Interface `CurrentStatistics` contains information of current Statistics in the report server.

Method Summary
`java.lang.String` | `displayBeginTime()` display statistics end time to string.
`java.lang.String` | `displayEndTime()` display statistics begin time with string format.
`int` | `getAmountOfReportPagesEveryMinute()` get amount of report pages number every minute .
`long` | `getAmountOfReports()` get amount of reports.
`int` | `getAmountOfReportsEveryMinute()` get amount of reports number every minute.
`long` | `getAmountOfSucceedReports()` get amount of succeed reports.
`int` | `getAverageNeedTimeEveryReport()` get average need time since submit report to run finished report.
`int` | `getAverageRunTimeEveryReport()` get average run time since start run to finish every report.
`long` | `getAverageWaitTimeInRun()` get average wait time when report in run queue.
`int` | `getAverageWaitTimeToRun()` get average wait time since submit report to run report.
`long` | `getBeginTimeToStatistics()` get statistics begin time.
`long` | `getEndTimeToStatistics()` get statistics end time.
`void` | `setBeginTimeToStatistics(long startTime)` set statistics begin time.
`void` | `setEndTimeToStatistics(long endTime)` set statistics end time.

Method Detail

### getAmountOfReportPagesEveryMinute

    int getAmountOfReportPagesEveryMinute()

  get amount of report pages number every minute .

  Returns:
    amount of report pages number every minute .

### getAmountOfReportsEveryMinute

    int getAmountOfReportsEveryMinute()

  get amount of reports number every minute.

  Returns:
    amount of reports number every minute.

### getAverageWaitTimeInRun

    long getAverageWaitTimeInRun()

  get average wait time when report in run queue.

  Returns:
    average wait time when report in run queue in millisecond.

### getAverageWaitTimeToRun

    int getAverageWaitTimeToRun()

  get average wait time since submit report to run report.

  Returns:
    average wait time since submit report to run report in millisecond.

### getAverageNeedTimeEveryReport

    int getAverageNeedTimeEveryReport()

  get average need time since submit report to run finished report.

  Returns:
    average need time since submit report to run finished report in millisecond.

### getAverageRunTimeEveryReport

    int getAverageRunTimeEveryReport()

  get average run time since start run to finish every report.

  Returns:
    average run time every report.

### getAmountOfSucceedReports

    long getAmountOfSucceedReports()

  get amount of succeed reports.

  Returns:
    amount of succeed reports.

### getAmountOfReports

    long getAmountOfReports()

  get amount of reports.

  Returns:
    amount of all reports.

### setBeginTimeToStatistics

    void setBeginTimeToStatistics(long startTime)

  set statistics begin time.

  Parameters:
    `startTime` - begin time for statistics.

### setEndTimeToStatistics

    void setEndTimeToStatistics(long endTime)

  set statistics end time.

  Parameters:
    `endTime` - end time for statistics.

### getBeginTimeToStatistics

    long getBeginTimeToStatistics()

  get statistics begin time.

  Returns:
    begin time for statistics in millisecond.

### getEndTimeToStatistics

    long getEndTimeToStatistics()

  get statistics end time.

  Returns:
    end time for statistics in millisecond.

### displayEndTime

    java.lang.String displayEndTime()

  display statistics begin time with string format.

  Returns:
    end time for statistics in millisecond with string format.

### displayBeginTime

    java.lang.String displayBeginTime()

  display statistics end time to string.

  Returns:
    begin time for statistics in millisecond with string format.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD